<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://webmuehle.at
 * @since      1.0.3
 *
 * @package    Courtres
 * @subpackage Courtres/admin/partials
 */
?>

<?php
if (!current_user_can('manage_options')) {
    wp_die();
}

global $wpdb;
$table_name = $this->getTable('courts');
//18.01.2019, astoian - if not premium, show only 1 court
$courts = array();
if ($this->isCourtsAdd()) {
  $courts = $wpdb->get_results("SELECT * FROM $table_name ORDER BY name");
}else{
  $court = $wpdb->get_row("SELECT * FROM $table_name ORDER BY id");
  if (isset($court)) {
    $courts = array($court);
  }
}
?>

<?php
include('courtres-notice-upgrade.php');
?>

<div class="wrap">
  <h1 class="wp-heading-inline"><?=__('Manage Courts', 'courtres');?></h1>
  <?php if ($this->isCourtsAdd()) {?>
    <a class="page-title-action" href="<?=admin_url("admin.php?page=courtres-court")?>"><?=__('Create', 'courtres');?></a>
  <?php }?>
  <hr class="wp-header-end">

  <div class="cr-tabs-wrap">
			<div class="item1">
				<div class="cr-widget-right">
            <?php
                include 'courtres-widget-upgrade.php';
            ?>
				</div>
			</div>
      <div  class="item2">
        <h2 class="nav-tab-wrapper wp-clearfix">
            <a href="<?=admin_url("admin.php?page=courtres&tab=0");?>" class="nav-tab nav-tab-active">
                <?=__('Courts', 'courtres');?>
            </a>
            <a href="<?=admin_url("admin.php?page=courtres&tab=1");?>" class="nav-tab">
                <?=__('Pyramids', 'courtres');?>
            </a>
            <a href="<?=admin_url("admin.php?page=courtres&tab=2");?>" class="nav-tab"><?=__('Settings', 'courtres');?></a>
            <a href="<?=admin_url("admin.php?page=courtres&tab=3");?>" class="nav-tab">
                <?=__('User Interface', 'courtres');?>
            </a>
            <?php if (!cr_fs()->is_plan( 'ultimate' )) { ?>
                <a href="<?=admin_url("admin.php?page=courtres&tab=4");?>" class="nav-tab">
                    <?=__('Upgrade', 'courtres');?>
                </a>
            <?php } ?>
        </h2>
        <p></p>
        <table class="wp-list-table widefat fixed striped posts">
          <thead>
            <tr>
              <th class="manage-column column-title column-primary"><?=__('Name', 'courtres');?></th>
              <th class="manage-column column-title column-primary"><?=__('Openinghours', 'courtres');?></th>
              <th class="manage-column column-title column-primary"><?=__('Reservation Days in Advance', 'courtres');?></th>
              <th class="manage-column column-title column-primary"><?=__('Shortcode', 'courtres');?></th>
              <th class="manage-column column-title"><?=__('Action', 'courtres');?></th>
            </tr>
          </thead>
          <tbody>
            <?php for ($i = 0; $i < sizeof($courts); $i++) {$item = $courts[$i];?>
              <tr>
                <td><?=$item->name?></td>
                <td><?=$item->open?>-<?=$item->close?> <?=__('Hour', 'courtres');?></td>
                <td><?=$item->days?></td>
                <td><code><?="[courtreservation id=$item->id]"?></code></td>
                <td><a class="page-action" href="<?=admin_url("admin.php?page=courtres-court&courtID={$item->id}")?>"><?=__('Edit', 'courtres');?></a>
              </tr>
            <?php }?>
          </tbody>
        </table>
        <p></p>
      </div>
</div>
