<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 * Class Courtres_Admin in class-courtres-admin.php
 *
 * @link       https://webmuehle.at
 * @since      1.0.3
 *
 * @package    Courtres
 * @subpackage Courtres/admin/partials
 * 
 */
?>

<?php
if (!current_user_can('manage_options')) {
		wp_die();
}

$piramids = Courtres_Entity_Piramid::get_list();
?>

<?php
include('courtres-notice-upgrade.php');
?>

<div class="wrap">
	<h1 class="wp-heading-inline"><?=__('Manage Pyramids', 'courtres');?></h1>
	<?php if ($this->isPiramidsAdd()) {?>
		<a class="page-title-action" href="<?=admin_url("admin.php?page=courtres-piramid")?>"><?=__('Create', 'courtres');?></a>
	<?php }?>
	<hr class="wp-header-end">

	<div class="cr-tabs-wrap">
			<div class="item1">
				<div class="cr-widget-right">
						<?php
								include 'courtres-widget-upgrade.php';
						?>
				</div>
			</div>
			<div class="item2">
				<h2 class="nav-tab-wrapper wp-clearfix">
						<a href="<?=admin_url("admin.php?page=courtres&tab=0");?>" class="nav-tab">
								<?=__('Courts', 'courtres');?>
						</a>
						<a href="<?=admin_url("admin.php?page=courtres&tab=1");?>" class="nav-tab nav-tab-active">
								<?=__('Pyramids', 'courtres');?>
						</a>
						<a href="<?=admin_url("admin.php?page=courtres&tab=2");?>" class="nav-tab"><?=__('Settings', 'courtres');?></a>
						<a href="<?=admin_url("admin.php?page=courtres&tab=3");?>" class="nav-tab">
								<?=__('User Interface', 'courtres');?>
						</a>
						<?php if (!cr_fs()->is_plan( 'ultimate' )) { ?>
								<a href="<?=admin_url("admin.php?page=courtres&tab=4");?>" class="nav-tab">
										<?=__('Upgrade', 'courtres');?>
								</a>
						<?php } ?>
				</h2>
				<p></p>
				<table class="wp-list-table widefat fixed striped posts">
					<thead>
						<tr>
							<?php foreach (Courtres_Entity_Piramid::get_db_fields() as $key => $field): ?>
								<?php if($field["show_in_admin"]): ?>
									<th class="manage-column column-title column-primary"><?=$field["title"];?></th>
								<?php endif; ?>
							<?php endforeach; ?>
							<th class="manage-column column-title"><?=__('Shortcode', 'courtres');?></th>
							<th class="manage-column column-title"><?=__('Action', 'courtres');?></th>
						</tr>
					</thead>
					<tbody>
						<?php if($piramids): ?>
							<?php foreach ($piramids as $key => $piramid):?>
								<tr>
									<?php foreach (Courtres_Entity_Piramid::get_db_fields() as $key => $field): ?>
										<?php if($field["show_in_admin"]): ?>
											<?php switch ($field["code"]){
												case 'duration_ts':
												case 'lifetime_ts':
												case 'locktime_ts': ?>
													<td><?php echo date_i18n("g:i", $piramid[$field["code"]]); ?></td>
													<?php break;
												
												default: ?>
													<td><?php echo $piramid[$field["code"]]; ?></td>
													<?php break;
											} ?>
										<?php endif; ?>
									<?php endforeach; ?>
									<td><code>[courtpyramid id=<?php echo $piramid["id"]; ?>]</code></td>
									<td><a class="page-action" href="<?= admin_url("admin.php?page=courtres-piramid&piramidID={$piramid["id"]}&action=edit")?>"><?=__('Edit', 'courtres');?></a>
								</tr>
							<?php endforeach; ?>
						<?php endif; ?>
					</tbody>
				</table>
				<p></p>
			</div>
</div>
