<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://webmuehle.at
 * @since      1.1.0
 *
 * @package    Settings
 * @subpackage Courtres/admin/settigns
 */
?>

<?php
if (!current_user_can('manage_options')) {
	wp_die();
}

global $wpdb;
$table_name = $this->getTable('settings');

if (isset($_POST['submit'])) {
	$email_notify_players = '1';
	if (isset($_POST['email_notify_players'])) {
		// Checkbox is selected
		$email_notify_players = '1';
	} else {
		$email_notify_players = '0';
	}
	// save email_notify_players
	if (isset($_POST['option_email_id']) && (int) $_POST['option_email_id'] > 0) { // edit
		$wpdb->update($table_name,
			array(
				'option_value' => $email_notify_players,
			),
			array('option_id' => (int) $_POST['option_email_id']),
			array('%s')
		);
		$message = __('Successfully changed!', 'courtres');
	} else { // create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'email_notify_players',
				'option_value' => $email_notify_players,
			),
			array('%s', '%s')
		);
		$message = __('Successfully created!', 'courtres');
	}
	// save option_max_h
	if (isset($_POST['option_max_h_id']) && (int) $_POST['option_max_h_id'] > 0) { // edit
		$wpdb->update($table_name,
			array(
				'option_value' => $_POST['option_max_h'],
			),
			array('option_id' => (int) $_POST['option_max_h_id']),
			array('%s')
		);
		$message = __('Successfully changed!', 'courtres');
	} else { // create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'max_hours_per_reservation',
				'option_value' => $_POST['option_max_h'],
			),
			array('%s', '%s')
		);
		$message = __('Successfully created!', 'courtres');
	}
	// save option_half_hour
	$option_half_hour_value = '1';
	if (isset($_POST['option_half_hour'])) {
		// Checkbox is selected
		$option_half_hour_value = '1';
	} else {
		$option_half_hour_value = '0';
	}
	if (isset($_POST['option_half_hour_id']) && (int) $_POST['option_half_hour_id'] > 0) { // edit
		$wpdb->update($table_name,
			array(
				'option_value' => $option_half_hour_value,
			),
			array('option_id' => (int) $_POST['option_half_hour_id']),
			array('%s')
		);
		$message = __('Successfully changed!', 'courtres');
	} else { // create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'half_hour_reservation',
				'option_value' => $option_half_hour_value,
			),
			array('%s', '%s')
		);
		$message = __('Successfully created!', 'courtres');
	}
	// save option_several_reserve_person
	$option_several_reserve_person_value = '1';
	if (isset($_POST['option_several_reserve_person'])) {
		// Checkbox is selected
		$option_several_reserve_person_value = '1';
	} else {
		$option_several_reserve_person_value = '0';
	}
	if (isset($_POST['option_several_reserve_person_id']) && (int) $_POST['option_several_reserve_person_id'] > 0) { // edit
		$wpdb->update($table_name,
			array(
				'option_value' => $option_several_reserve_person_value,
			),
			array('option_id' => (int) $_POST['option_several_reserve_person_id']),
			array('%s')
		);
		$message = __('Successfully changed!', 'courtres');
	} else { // create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'several_reserve_person',
				'option_value' => $option_several_reserve_person_value,
			),
			array('%s', '%s')
		);
		$message = __('Successfully created!', 'courtres');
	}
	// save option_several_reserve_person
	$option_calender_view_navigator_value = '1';
	if (isset($_POST['option_calender_view_navigator'])) {
		// Checkbox is selected
		$option_calender_view_navigator_value = '1';
	} else {
		$option_calender_view_navigator_value = '0';
	}
	if (isset($_POST['option_calender_view_navigator_id']) && (int) $_POST['option_calender_view_navigator_id'] > 0) { // edit
		$wpdb->update($table_name,
			array(
				'option_value' => $option_calender_view_navigator_value,
			),
			array('option_id' => (int) $_POST['option_calender_view_navigator_id']),
			array('%s')
		);
		$message = __('Successfully changed!', 'courtres');
	} else { // create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'calender_view_navigator',
				'option_value' => $option_calender_view_navigator_value,
			),
			array('%s', '%s')
		);
		$message = __('Successfully created!', 'courtres');
	}

	// save option_available_reservation_types
	if (isset($_POST['option_available_reservation_types'])){
		if ((int) $_POST['option_available_reservation_types_id'] > 0) { // edit
			$wpdb->update($table_name,
				array(
					'option_value' => serialize($_POST['option_available_reservation_types']),
				),
				array('option_id' => (int) $_POST['option_available_reservation_types_id']),
				array('%s')
			);
			$message = __('Successfully changed!', 'courtres');
		} else { // create
			$wpdb->insert($table_name,
				array(
					'option_name' => 'available_reservation_types',
					'option_value' => serialize($_POST['option_available_reservation_types']),
				),
				array('%s', '%s')
			);
			$message = __('Successfully created!', 'courtres');
		}
	}

	// save option_email_template
	if (isset($_POST['option_email_template']) && (int) $_POST['option_email_template_id'] > 0) { // edit
		$wpdb->update($table_name,
			array(
				'option_value' => $_POST['option_email_template'],
			),
			array('option_id' => (int) $_POST['option_email_template_id']),
			array('%s')
		);
		$message = __('Successfully changed!', 'courtres');
	} else { // create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'option_email_template',
				'option_value' => $_POST['option_email_template'],
			),
			array('%s', '%s')
		);
		$message = __('Successfully created!', 'courtres');
	}

	// save option_is_email_template_updated
	$option_is_email_template_updated = isset($_POST['option_is_email_template_updated']) ? $_POST['option_is_email_template_updated'] : false;
	if(!$_POST['option_is_email_template_updated_id']){
		// create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'option_is_email_template_updated',
				'option_value' => intval($option_is_email_template_updated),
			),
			array('%s', '%d')
		);
		$message = __('Successfully created!', 'courtres');
	}


	// save option_is_team_mate_mandatory
	$option_is_team_mate_mandatory = '0';
	if (isset($_POST['option_is_team_mate_mandatory'])) {
		// Checkbox is selected
		$option_is_team_mate_mandatory = '1';
	}
	if($_POST['option_is_team_mate_mandatory_id']){
		// edit
		$wpdb->update($table_name,
			array(
				'option_value' => $option_is_team_mate_mandatory,
			),
			array('option_id' => (int) $_POST['option_is_team_mate_mandatory_id']),
			array('%s')
		);
		$message = __('Successfully changed!', 'courtres');
	}else{
		// create
		$wpdb->insert($table_name,
			array(
				'option_name' => 'option_is_team_mate_mandatory',
				'option_value' => $option_is_team_mate_mandatory,
			),
			array('%s', '%s')
		);
		$message = __('Successfully created!', 'courtres');
	}

	// save option_max_players_for_reserv_type
	if (isset($_POST["option_max_players_for_reserv_type"])){
		if ((int) $_POST["option_max_players_for_reserv_type_id"] > 0) { // edit
			$wpdb->update($table_name,
				array(
					'option_value' => serialize($_POST['option_max_players_for_reserv_type']),
				),
				array('option_id' => (int) $_POST["option_max_players_for_reserv_type_id"]),
				array('%s')
			);
			$message = __('Successfully changed!', 'courtres');
		} else { // create
			$wpdb->insert($table_name,
				array(
					'option_name' => 'max_players_for_reserv_type',
					'option_value' => serialize($_POST['option_max_players_for_reserv_type']),
				),
				array('%s', '%s')
			);
			$message = __('Successfully created!', 'courtres');
		}
	}

	// save or update option_match_durations
	if (isset($_POST["match_durations"])){
		$match_durations_ts = array();
		foreach ($_POST["match_durations"] as $key => $match_duration) {
			$match_durations_ts[$key] = $match_duration["hours"] * 3600 + $match_duration["min"] * 60;
		}
		if (isset($_POST["option_match_durations_ts_id"]) && (int) $_POST["option_match_durations_ts_id"] > 0) { // edit
			$wpdb->update($table_name,
				array(
					'option_value' => serialize($match_durations_ts),
				),
				array('option_id' => (int) $_POST["option_match_durations_ts_id"]),
				array('%s')
			);
			$message = __('Successfully changed!', 'courtres');
		} else { // create
			$wpdb->insert($table_name,
				array(
					'option_name' => 'match_durations_ts',
					'option_value' => serialize($match_durations_ts),
				),
				array('%s', '%s')
			);
			$message = __('Successfully created!', 'courtres');
		}
	}

} 
// < submit


$option_email = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'email_notify_players'");
if (!isset($option_email)) {
	$option_email = new stdClass();
	$option_email->option_id = 0;
	$option_email->option_name = 'email_notify_players';
	$option_email->option_value = '0';
}

$option_max_h = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'max_hours_per_reservation'");
if (!isset($option_max_h)) {
	$option_max_h = new stdClass();
	$option_max_h->option_id = 0;
	$option_max_h->option_name = 'max_hours_per_reservation';
	$option_max_h->option_value = static::DEFAULT_MAX_HOURS;
}

$option_half_hour = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'half_hour_reservation'");
if (!isset($option_half_hour)) {
	$option_half_hour = new stdClass();
	$option_half_hour->option_id = 0;
	$option_half_hour->option_name = 'half_hour_reservation';
	$option_half_hour->option_value = '0';
}

$option_several_reserve_person = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'several_reserve_person'");
if (!isset($option_several_reserve_person)) {
	$option_several_reserve_person = new stdClass();
	$option_several_reserve_person->option_id = 0;
	$option_several_reserve_person->option_name = 'several_reserve_person';
	$option_several_reserve_person->option_value = '0';
}

$option_calender_view_navigator = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'calender_view_navigator'");
if (!isset($option_calender_view_navigator)) {
	$option_calender_view_navigator = new stdClass();
	$option_calender_view_navigator->option_id = 0;
	$option_calender_view_navigator->option_name = 'calender_view_navigator';
	$option_calender_view_navigator->option_value = '0';
}

// List of possible reservations types
$option_reservation_types = $this->getOption('reservation_types');
if (!isset($option_reservation_types)) {
	$option_reservation_types = new stdClass();
	$option_reservation_types->option_id = 0;
	$option_reservation_types->option_name = 'reservation_types';
	$option_reservation_types->option_value = serialize(WP_FS_POSSIBLE_RESERVATIONS_TYPES);
}
$reservationTypes = unserialize($option_reservation_types->option_value);
$mlReservationTypes = array();
foreach ($reservationTypes as $type) {
	$mlReservationTypes[] = esc_html__($type, 'courtres');
}

// Available reservation types
$option_available_reservation_types = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'available_reservation_types'");
if (!isset($option_available_reservation_types)) {
	$option_available_reservation_types = new stdClass();
	$option_available_reservation_types->option_id = 0;
	$option_available_reservation_types->option_name = 'available_reservation_types';
	$option_available_reservation_types->option_value = serialize(WP_FS_POSSIBLE_RESERVATIONS_TYPES);
}
$availableReservationTypes = unserialize($option_available_reservation_types->option_value);


// option_is_email_template_updated
// using to check if email_template is updated to new version
$option_is_email_template_updated = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'option_is_email_template_updated'");
if (!isset($option_is_email_template_updated)) {
	$option_is_email_template_updated = new stdClass();
	$option_is_email_template_updated->option_id = 0;
	$option_is_email_template_updated->option_name = 'option_is_email_template_updated';
	$option_is_email_template_updated->option_value = true;
	$message_type = "warning";
	$message = __("Court Reservation Plugin: You need to update your template for E-Mail notifications!", "courtres");
}

// option_email_template
$option_email_template = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'option_email_template'");
$email_templates_default_settings = Courtres::get_default_settings("email_template");
if (isset($option_email_template)) {
	if($option_email_template->option_value == $email_templates_default_settings["old"]){
		$option_email_template->option_value = $email_templates_default_settings["1.5.0"];
	}
}else{
	$option_email_template = new stdClass();
	$option_email_template->option_id = 0;
	$option_email_template->option_name = 'option_email_template';
	$option_email_template->option_value = $email_templates_settings["1.5.0"];
}


// option_is_team_mate_mandatory
$option_is_team_mate_mandatory = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'option_is_team_mate_mandatory'");
if (!isset($option_is_team_mate_mandatory)) {
	$option_is_team_mate_mandatory = new stdClass();
	$option_is_team_mate_mandatory->option_id = 0;
	$option_is_team_mate_mandatory->option_name = 'option_is_team_mate_mandatory';
	$option_is_team_mate_mandatory->option_value = false;
}


// Max players for reservation types
$option_max_players_for_reserv_type = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'max_players_for_reserv_type'");
if (!isset($option_max_players_for_reserv_type)) {
	$option_max_players_for_reserv_type = new stdClass();
	$option_max_players_for_reserv_type->option_id = 0;
	$option_max_players_for_reserv_type->option_name = 'max_players_for_reserv_type';
	$option_max_players_for_reserv_type->option_value = "";
}
$max_players_for_reserv_type = unserialize($option_max_players_for_reserv_type->option_value);


// match_durations for reservation types
// values from db or default
$option_match_durations_ts = $wpdb->get_row("SELECT * FROM $table_name WHERE option_name = 'match_durations_ts'");
if (isset($option_match_durations_ts)) {
	$match_durations_ts = unserialize($option_match_durations_ts->option_value);
}else{
	$option_match_durations_ts = new stdClass();
	$option_match_durations_ts->option_id = 0;
	$option_match_durations_ts->option_name = 'match_durations_ts';
	$option_match_durations_ts->option_value = "";
	if(isset($reservationTypes)){
		foreach ($reservationTypes as $key => $type) {
			$match_durations_ts[$type] = 0;
		}
	}
}
$match_durations = array();
if(isset($match_durations_ts)){
	foreach ($match_durations_ts as $key => $match_duration_ts) {
		$match_durations[$key] = array(
			"hours" => floor($match_duration_ts / 3600),
			"min" => (int) date_i18n("i", $match_duration_ts),
		);
	}
}
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<?php
include 'courtres-notice-upgrade.php';
include 'courtres-notice-message.php';

?>

<div class="wrap">
	<h1 class="wp-heading-inline">
		<?=__('Settings', 'courtres');?>
	</h1>
	<hr class="wp-header-end">

	<div class="cr-tabs-wrap">
		<div class="item1">
			<div class="cr-widget-right">
				<?php
					include 'courtres-widget-upgrade.php';
				?>
			</div>
		</div>
		<div  class="item2">
			<h2 class="nav-tab-wrapper wp-clearfix">
				<a href="<?=admin_url("admin.php?page=courtres&tab=0");?>" class="nav-tab">
					<?=__('Courts', 'courtres');?>
				</a>
				<a href="<?=admin_url("admin.php?page=courtres&tab=1");?>" class="nav-tab">
					<?=__('Pyramids', 'courtres');?>
				</a>
				<a href="<?=admin_url("admin.php?page=courtres&tab=2");?>" class="nav-tab nav-tab-active"><?=__('Settings', 'courtres');?></a>
				<a href="<?=admin_url("admin.php?page=courtres&tab=3");?>" class="nav-tab">
					<?=__('User Interface', 'courtres');?>
				</a>
				<?php if (!cr_fs()->is_plan( 'ultimate' )) { ?>
					<a href="<?=admin_url("admin.php?page=courtres&tab=4");?>" class="nav-tab">
						<?=__('Upgrade', 'courtres');?>
					</a>
				<?php } ?>
			</h2>

			<form method="post">
				<input type="hidden" name="option_email_id" value="<?=$option_email->option_id?>" />
				<input type="hidden" name="option_max_h_id" value="<?=$option_max_h->option_id?>" />
				<input type="hidden" name="option_half_hour_id" value="<?=$option_half_hour->option_id?>" />
				<input type="hidden" name="option_several_reserve_person_id" value="<?=$option_several_reserve_person->option_id?>" />
				<input type="hidden" name="option_calender_view_navigator_id" value="<?=$option_calender_view_navigator->option_id?>" />
				<input type="hidden" name="option_reservation_types_id" value="<?=$option_reservation_types->option_id?>" />
				<input type="hidden" name="option_available_reservation_types_id" value="<?=$option_available_reservation_types->option_id?>" />
				<input type="hidden" name="option_email_template_id" value="<?=$option_email_template->option_id?>" />
				<input type="hidden" name="option_is_team_mate_mandatory_id" value="<?=$option_is_team_mate_mandatory->option_id?>" />
				<input type="hidden" name="option_max_players_for_reserv_type_id" value="<?=$option_max_players_for_reserv_type->option_id?>" />
				<input type="hidden" name="option_is_email_template_updated_id" value="<?=$option_is_email_template_updated->option_id?>" />
				<input type="hidden" name="option_is_email_template_updated" value="<?=$option_is_email_template_updated->option_value?>" />
				<input type="hidden" name="option_match_durations_ts_id" value="<?=$option_match_durations_ts->option_id?>" />

				<table class="t-form">
					<tr>
						<td>
							<?=__('E-Mail notifications', 'courtres');?>
						</td>
						<td>
							<label class="switch">
								<input type="checkbox" name="email_notify_players" <?=($option_email->option_value ===
								'1') ? 'checked' : ''?>>
								<span class="slider round"></span>
							</label>
							<div class="tooltip">
								<div class="symbol">
									<span>?</span>
								</div>
								<span class="tooltiptext tooltip-right">
									<?=__('Players get an E-Mail when they reserve a court.', 'courtres');?></span>
							</div>
						</td>
					</tr>
					<tr class="email-confirmation">
						<td width="30%">
							<?=__('Customize text of e-mail confirmation', 'courtres');?><br>
							<?=__('Use the following placeholders:', 'courtres');?><br>
							[court_name], [date_on], [hours_from_till], [player_name_creator], [players_list]<br />
							<strong><?=__('Not supported placeholders from v1.5.0:', 'courtres');?></strong>
							[player_name_1], [player_name_2], [player_name_3], [player_name_4]
						</td>
						<td>
							<textarea name="option_email_template" rows="6" cols="60"><?=$option_email_template->option_value?></textarea>
							<div class="tooltip">
								<div class="symbol">
									<span>?</span>
								</div>
								<span class="tooltiptext tooltip-right">
									<?=__('Text of e-mail confirmation', 'courtres');?></span>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<?=__('Max. hours to reserve per reservation (used by if the Fixed Match Duration option for the reservation type not defined)', 'courtres');?>
						</td>
						<td>
							<input type="number" name="option_max_h" min="0" max="24" maxlength="2" value="<?=$option_max_h->option_value?>">
							<div class="tooltip">
								<div class="symbol">
									<span>?</span>
								</div>
								<span class="tooltiptext tooltip-right">
									<?=__('Max. hours a member is allowed to reserve a court.', 'courtres'); ?> 
									<?php echo static::DEFAULT_MAX_HOURS . ' ' .  __('by default', 'courtres'); ?></span>
							</div>
						</td>
					</tr>
					<tr>
						<td>
							<?=__('Half-hour reservation', 'courtres'); ?>
						</td>
						<td>
							<label class="switch">
								<input type="checkbox" name="option_half_hour" <?=($option_half_hour->option_value === '1') ? 'checked' : ''?>>
								<span class="slider round"></span>
							</label>
						</td>
					</tr>
					<tr>
						<td>
							<?=__('Several reservations per person', 'courtres'); ?>
						</td>
						<td>
							<label class="switch">
								<input type="checkbox" name="option_several_reserve_person" <?=($option_several_reserve_person->option_value === '1') ? 'checked' : ''?>>
								<span class="slider round"></span>
							</label>
						</td>
					</tr>
					<tr>
						<td>
							<?=__('Calendar navigation', 'courtres'); ?>
						</td>
						<td>
							<label class="switch">
								<input type="checkbox" name="option_calender_view_navigator" <?=($option_calender_view_navigator->option_value === '1') ? 'checked' : ''?>>
								<span class="slider round"></span>
							</label>
						</td>
					</tr>
					<tr>
						<td>
							<?=__('Team mate is mandatory', 'courtres'); ?>
						</td>
						<td>
							<label class="switch">
								<input type="checkbox" name="option_is_team_mate_mandatory" <?php checked($option_is_team_mate_mandatory->option_value); ?> value="1">
								<span class="slider round"></span>
							</label>
						</td>
					</tr>
					<tr class="cr-reserv-type-row">
						<td>
							<?=__('Choose available reservation types', 'courtres'); ?>
						</td>
						<td>
							<ul class="cr-reserv-type-list">
								<?php foreach ($reservationTypes as $type) :?>
									<li>
										<label for="<?=$type;?>"><span><?=_e($type, 'courtres');?></span></label>
										<label class="switch">
											<input type="checkbox" id="<?=$type;?>" name="option_available_reservation_types[<?=$type;?>]" <?php checked( in_array($type, $availableReservationTypes) ); ?> value="<?=$type;?>">
											<span class="slider round"></span>
										</label>
										<a href="javascript:void(0);" class="cr-delete-reserv-type-link cr-no-underline"><span class="dashicons dashicons-no-alt"></span></a>&emsp;  
										<br>
										
										<!-- Max. Number of Other Players -->
										<label for="max_players_for_reserv_type_<?=$type;?>"><span><?=_e("Max. Number of Other Players", 'courtres');?></span></label>
										<?php 
											$max_players = isset($max_players_for_reserv_type[$type]) ? $max_players_for_reserv_type[$type] : 0;
										?>
										<input type="number" min="1" max="100" id="max_players_for_reserv_type_<?=$type;?>" name="option_max_players_for_reserv_type[<?=$type;?>]" value="<?=$max_players;?>" size="5">
										<br>
										
										<!-- Fixed Match Duration -->
										<label for="option_fixed_match_durations_<?=$type;?>"><span><?=_e("Fixed Match Duration", 'courtres');?></span></label>
										<?php 
											$match_duration = isset($match_durations[$type]) ? $match_durations[$type] : array('hours' => 0, 'min' => 0);
										?>
										<input type="number" name="match_durations[<?=$type;?>][hours]" id="option_fixed_match_durations_<?=$type;?>" min="0" size="5" autocomplete="off" value="<?php echo $match_duration['hours']; ?>" />&nbsp;:&nbsp;
										<select name="match_durations[<?=$type;?>][min]">
											<option value="0" <?php selected($match_duration['min'], 0); ?>>00</option>
											<option value="30" <?php selected($match_duration['min'], 30); ?>>30</option>
										</select>
										<br><br>
									</li>
								<?php endforeach; ?>
							</ul>
							<p class="cr-new-reserv-type-block">
								<button class="button cr-show-new-reserv-type-input" type="button" title="<?=_e('You can add reservation type', 'courtres');?>">+</button>
								<span class="cr-new-reserv-type-input-block">
									<input type="text" name="custom_reservation_type" class="cr-new-reserv-type" placeholder="<?=_e('Add your reservation type', 'courtres');?>" value="">
									<button class="button cr-save-new-reserv-type" type="button"><?=_e('Save', 'courtres');?></button>
								</span>
							</p>
						</td>
					</tr>
					<tr><td></td><td></td></tr>
					<tr>
						<td>
							<input class="button" type="submit" name="submit" value="<?=__('Save', 'courtres');?>" />
						</td>
						<td></td>
					</tr>
			</form>
		</div>

	</div>

	<p></p>
</div>
