<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://webmuehle.at
 * @since      1.1.0
 *
 * @package    Settings
 * @subpackage Courtres/admin/settigns
 */
?>

<?php
if (!current_user_can('manage_options')) {
    wp_die();
}
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->

<?php
include 'courtres-notice-upgrade.php';
?>

    <div class="wrap">
		<h1 class="wp-heading-inline"><?=__('Upgrade', 'courtres');?></h1>
		<hr class="wp-header-end">

		<div class="cr-tabs-wrap">
			<div class="item1">
				<div class="cr-widget-right">
                    <?php
include 'courtres-widget-upgrade.php';
?>
				</div>
			</div>
            <div  class="item2">
                <h2 class="nav-tab-wrapper wp-clearfix">
                    <a href="<?=admin_url("admin.php?page=courtres&tab=0");?>" class="nav-tab">
                        <?=__('Courts', 'courtres');?>
                    </a>
                    <a href="<?=admin_url("admin.php?page=courtres&tab=1");?>" class="nav-tab">
                        <?=__('Pyramids', 'courtres');?>
                    </a>
                    <a href="<?=admin_url("admin.php?page=courtres&tab=2");?>" class="nav-tab"><?=__('Settings', 'courtres');?></a>
                    <a href="<?=admin_url("admin.php?page=courtres&tab=3");?>" class="nav-tab">
                        <?=__('User Interface', 'courtres');?>
                    </a>
                    <?php if (!cr_fs()->is_plan('ultimate')) {?>
                        <a href="<?=admin_url("admin.php?page=courtres&tab=4");?>" class="nav-tab nav-tab-active">
                            <?=__('Upgrade', 'courtres');?>
                        </a>
                    <?php }?>
                </h2>

                <div id="packages" style="width: 100%;">
                    <ul>
                        <li class="plan free-pricing">
                            <article class="card current" data-plan-id="4902">
                                <header>
                                    <h2><?=__('Lite', 'courtres');?></h2>
                                    <h3><?=__('Basic Features', 'courtres');?></h3>
                                </header>
                                <div class="body">
                                    <div class="offer">
                                        <span class="price"><var><?=__('Free', 'courtres');?></var></span>
                                        <span class="renewals-amount" style="display: none;"></span>
                                        <span class="period"><?=__('Billed Annually', 'courtres');?></span>
                                        <div class="tooltip-wrapper info-icon">
                                            <span class="license" title="If you are running a multi-site network, each site in the network requires a license.">
                                                <?=__('Single Site', 'courtres');?>
                                            </span>
                                        </div>
                                    </div>
                                    <div class="support">
                                        <span><var><?=__('No Support', 'courtres');?></var></span>
                                    </div>
                                </div>
                            </article>
                        </li>
                        <li class="plan premium">
                            <article class="card featured" data-plan-id="4903">
                                <header>
                                    <div class="ribbon">
                                        <h4><?=__('Most Popular', 'courtres');?></h4><i class="left"></i><i class="right"></i>
                                    </div>
                                    <h2><?=__('Premium', 'courtres');?></h2>
                                    <h3><?=__('more courtes', 'courtres');?></h3>
                                    <h3><?=__('more members', 'courtres');?></h3>
                                    <h3><?=__('E-Mail notifications', 'courtres');?></h3>
                                    <h3><?=__('24/7 E-Mail-Support', 'courtres');?></h3>
                                </header>
                                <div class="body">
                                    <div class="offer">
                                        <span class="price">
                                            <span>
                                                <b class="currency">$</b><var>89</var>
                                            </span>
                                            <span>
                                                <b class="price-decimal">99</b>
                                                <sub class="billing-cycle">/ <?=__('Year', 'courtres');?></sub>
                                            </span>
                                        </span>
                                        <span class="period"><?=__('Billed Annually', 'courtres');?></span>
                                        <div class="tooltip-wrapper info-icon">
                                            <span class="license" title="If you are running a multi-site network, each site in the network requires a license.">
                                                <?=__('Single Site', 'courtres');?>
                                            </span
                                        ></div>
                                    </div>
                                    <div class="support">
                                        <span><var><?=__('Priority E-Mail & Help Center Support', 'courtres');?></var></span>
                                    </div>
                                </div>
                            </article>
                        </li>
                        <li class="plan ultimate">
                            <article class="card featured" data-plan-id="4903">
                                <header>
                                    <h2><?=__('Ultimate', 'courtres');?></h2>
                                    <h3><?=__('more courtes', 'courtres');?></h3>
                                    <h3><?=__('more members', 'courtres');?></h3>
                                    <h3><?=__('E-Mail notifications', 'courtres');?></h3>
                                    <h3><?=__('24/7 E-Mail-Support', 'courtres');?></h3>
                                    <h3 class='ultimate-h'><?=__('Ladder Competitions', 'courtres');?></h3>
                                </header>
                                <div class="body">
                                    <div class="offer">
                                        <span class="price">
                                            <span>
                                                <b class="currency">$</b><var>169</var>
                                            </span>
                                            <span>
                                                <b class="price-decimal">99</b>
                                                <sub class="billing-cycle">/ <?=__('Year', 'courtres');?></sub>
                                            </span>
                                        </span>
                                        <span class="period"><?=__('Billed Annually', 'courtres');?></span>
                                        <div class="tooltip-wrapper info-icon">
                                            <span class="license" title="If you are running a multi-site network, each site in the network requires a license.">
                                                <?=__('Single Site', 'courtres');?>
                                            </span
                                        ></div>
                                    </div>
                                    <div class="support">
                                        <span><var><?=__('Priority E-Mail & Help Center Support', 'courtres');?></var></span>
                                    </div>
                                </div>
                            </article>
                        </li>
                    </ul>


                </div>

		</div>

	</div>