<?php

// If this file is called directly, abort.
if (!defined('WPINC')) {
    die;
}

/**
 * get array of current date with summer time (DST) correction
 * @return array
 */
function getCurrentDateTime()
{

    $timezone_string = get_option('timezone_string');
    // error_log('timezone_string1: ' . $timezone_string);
    if (empty($timezone_string)) {
        $offset = get_option('gmt_offset');
        $hours = (int) $offset;
        $minutes = abs(($offset - (int) $offset) * 60);
        $timezone_string = sprintf('%+03d:%02d', $hours, $minutes);
    }
    // error_log('timezone_string2: ' . $timezone_string);

    // get current date time data with summer time (DST) correction
    // $thisDate = new DateTime("now", new DateTimeZone(get_option('timezone_string')));
    $thisDate = new DateTime("now", new DateTimeZone($timezone_string));

    // check if daylight saving time now || 0. Standard time begins on: October 25, 2020 2:00 am
    // if($thisDate->format('I')){
    //     $thisDate->add(new DateInterval('PT1H'));
    // }
    $theTime = array(
        "DateTime" => $thisDate,
        "date" => $thisDate->format('Y-m-d 00:00:00'),
        "hour" => $thisDate->format('H'),
        "minute" => $thisDate->format('i'),
        "datetime" => $thisDate->format('Y-m-d H:i:s'),
        "offset" => $timezone_string,
    );
    return $theTime;
}


/**
 * (RA) Helpers
 */
function ppr($_arr, $_ar_name){
    echo "<pre>$_ar_name<br>";
    print_r($_arr);
    echo "</pre>";
}
function fppr($_arr, $_ar_name, $_log_name=false, $append=FILE_APPEND){
    $_log_name = ($_log_name) ? $_log_name : "rlog";
    $str = date("d.m.y H:m:s") . "\r\n" . $_ar_name . "\r\n" . print_r($_arr, true) . "\r\n-------------------\r\n";
    file_put_contents($_SERVER['DOCUMENT_ROOT'] . '/wp-content/'.$_log_name.'.log', $str, $append);
}