<?php

/**
 * Provide a public-facing view for the plugin for ajax
 *
 * This file is used to markup the public-facing aspects of the plugin.
 *
 * @link       https://webmuehle.at
 * @since      1.3.0
 *
 * @package    Courtres
 * @subpackage Courtres/public/partials
 */
?>

<?php
  $atts = array_change_key_case((array)$atts, CASE_LOWER);
  if($courtID==0) {echo(__("Court Reservation ID invalid.",'courtres'));return;}

  if (!$this->isCourtPremium($courtID)){
    echo(__("Free version allow one Court only.",'courtres'));
    return;
  }

  $court = $this->getCourtByID($courtID);
  if($court == null) {
    echo(__("Court not found.",'courtres'));
    return;
  }

  $mayEdit = current_user_can('place_reservation');
  $username = '';
  
  $players = $this->getAvailablePlayers();

  $this->blocks = $this->getBlocksRepeatFutureByID($court->id);
  $this->reservations = $this->getCurrentReservationsByID($court->id, $court->days+1);
  $this->isReservatedPerPersonInFuture = $this->countUpcomingUserReservations( wp_get_current_user()->ID);
  $this->isSeveralReservePerson = $this->getOptionValue('several_reserve_person');

  $maxhours = $this->getMaxHours();
  $halfhour = $this->ishalfhour() ? '1' : '';
  $fromDay = isset($_REQUEST['navigator_step'])?intval($_REQUEST['navigator_step']):0; //$court->days;
  $tillDay =  $fromDay===0?$court->days:$fromDay+$court->days;
  $_SESSION['cr_from'] = $fromDay;

  $availableReservationTypes = $this->getAvailableReservationTypes();
  $dateformats = $this->getDateformats();
  $dateformat = $this->getDateFormat();
  $found_index = array_search("$dateformat", array_column($dateformats, 'format'));
  $dateFormatName = $dateformats[$found_index]["name"];
  $timeFormat = ($dateFormatName == "USA") ? "h:i a" : "H:i";
  $theTime = getCurrentDateTime();
  $nowTZ = new DateTime($theTime["datetime"]);
  $nowTZTS = $nowTZ->format('U');
?>

<!-- CR-TABLE -->
  <table style="display:none;" class="table reservations" id="cr-reservations-<?= $courtID ?>" data-navigator-my="<?= date_i18n('F', strtotime('+'.$fromDay.' day', $nowTZTS)) . " " . date_i18n('Y', strtotime('+'.$fromDay.' day', $nowTZTS)) ?>">
    <thead>
      <th><?= __('Time', 'courtres');?></th>
      <?php
        for($day=$fromDay; $day<$tillDay; $day++) {
          echo "<th>" . date_i18n('l', strtotime('+'.$day.' day', $nowTZTS)) . "<br/>" . date_i18n($dateformat, strtotime('+'.$day.' day', $nowTZTS)) . "</th>";
        }
      ?>
    </thead>
    <tbody>
      <?php for($j=$court->open; $j<$court->close; $j++) { ?>
        <!-- hour row -->
        <tr>
          <?php
            // 2020-06-18 astoian: bug for ngix, time is not formated correcty for AM:FM
            // $t0 = date_i18n( $timeFormat, strtotime( '2000-01-01 ' . $j . ':00' ) );
            $t0 = date($timeFormat, strtotime( $j . ':00') );
            if ($this->ishalfhour()) {
              $t1 = date( $timeFormat, strtotime( $j . ':00 + 30 min' ) );
            }else{
              $t1 = date( $timeFormat, strtotime( $j . ':00 + 1 hour' ) );
            }
            echo "<th>".($t0)." &ndash; ".($t1)."</th>";
          ?>
          <?php
            for($day=$fromDay;$day<$tillDay;$day++) {
              echo $this->getTD($court, $day, $j, 0, 30, date_i18n("Y-m-d", strtotime('+'.$day.' day', $nowTZTS)) );
            }
          ?>
        </tr>
        <!-- half hour row -->
        <?php if ($this->ishalfhour()) { ?>
          <tr>
            <?php
              $t0 = date( $timeFormat, strtotime( $j . ':00 + 30 min' ) );
              $t1 = date( $timeFormat, strtotime( $j . ':00 + 1 hour' ) );
              $fromto = "<th>".($t0)." &ndash; ".($t1)."</th>";
              echo $fromto;
            ?>
            <?php
              for($day=$fromDay;$day<$tillDay;$day++) {
                echo $this->getTD( $court, $day, $j, 30, 0, date_i18n("Y-m-d", strtotime('+'.$day.' day', $nowTZTS)) );
              }
            ?>
          </tr>
        <?php } ?>
      <?php } ?>
    </tbody>
  </table>

